---
title: MouseEvent.mozInputSource
slug: Web/API/MouseEvent/mozInputSource
tags:
  - API
  - NeedsCompatTable
  - Non-standard
  - Property
  - Read-only
---
<div>{{ APIRef() }} {{ gecko_minversion_header("2.0") }} {{ Non-standard_header() }}</div>

<p>The <strong><code>MouseEvent.mozInputSource</code></strong> read-only property on {{domxref("MouseEvent")}} provides information indicating the type of device that generated the event. This lets you, for example, determine whether a mouse event was generated by an actual mouse or by a touch event (which might affect the degree of accuracy with which you interpret the coordinates associated with the event).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>source</em> = <em>instanceOfMouseEvent</em>.mozInputSource;</pre>

<h3 id="Return_value">Return value</h3>

<p>The following values are possible.</p>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Constant name</th>
   <th>Value</th>
   <th>Desription</th>
  </tr>
  <tr>
   <td><code>MOZ_SOURCE_UNKNOWN</code></td>
   <td>0</td>
   <td>The input device is unknown.</td>
  </tr>
  <tr>
   <td><code>MOZ_SOURCE_MOUSE</code></td>
   <td>1</td>
   <td>The event was generated by a mouse (or mouse-like device).</td>
  </tr>
  <tr>
   <td><code>MOZ_SOURCE_PEN</code></td>
   <td>2</td>
   <td>The event was generated by a pen on a tablet.</td>
  </tr>
  <tr>
   <td><code>MOZ_SOURCE_ERASER</code></td>
   <td>3</td>
   <td>The event was generated by an eraser on a tablet.</td>
  </tr>
  <tr>
   <td><code>MOZ_SOURCE_CURSOR</code></td>
   <td>4</td>
   <td>The event was generated by a cursor.</td>
  </tr>
  <tr>
   <td><code>MOZ_SOURCE_TOUCH</code></td>
   <td>5</td>
   <td>The event was generated on a touch interface.</td>
  </tr>
  <tr>
   <td><code>MOZ_SOURCE_KEYBOARD</code></td>
   <td>6</td>
   <td>The event was generated by a keyboard.</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("MouseEvent") }}</li>
</ul>
